// Define an alternate dark theme.
@use '@angular/material' as mat;
$red-primary: mat.define-palette(mat.$red-palette);
$red-accent: mat.define-palette(mat.$deep-orange-palette);
$red-warn: mat.define-palette(mat.$red-palette);
$red-theme: mat.define-light-theme(
  (
    color: (
      primary: $red-primary,
      accent: $red-accent,
      warn: $red-warn,
    ),
  )
);

.theme-red {
  @include mat.all-component-colors($red-theme);

  .theme-bg {
    background-color: mat.get-color-from-palette($red-primary);
  }
}

.red-bg {
  background-color: mat.get-color-from-palette($red-primary);
}
